@import url('https://fonts.googleapis.com/css2?family=Emblema+One&family=Macondo&family=Nunito:ital,wght@0,200..1000;1,200..1000&display=swap');

* {
  box-sizing: border-box;
  font-family: 'Nunito', sans-serif;
  --primary-color: rgb(50, 38, 37);
  --secondary-color: rgb(216, 191, 191);
  --accent-color: rgb(222, 131, 145);

    --sc-nav-btn-color: var(--primary-color);
    --sc-nav-btn-hover-color: var(--primary-color);
    --sc-nav-btn-bg: var(--secondary-color);
    --sc-nav-btn-hover-bg: var(--accent-color);
}

html {
  height: 100%;
  padding: 0;
}

body.sticky-header {
  header {
    position: sticky;
  }
  main {
    overflow: auto;
  }
}

body {
  height: 100%;

  padding: 0;
  margin: 0;

  display: flex;
  flex-direction: column;
}

header {
  top: 0;
  width: 100%;
  nav {
    width: 100%;
    padding: 1rem;
  }
}

main {
  flex-grow: 1;
  min-height: 100%;

  &> div {
    height: 100%;
  }
}
main > div {
    margin-inline: 8rem;
}

@media (max-width: 780px) {
  main > div {
    margin-inline: 4rem;
  }
}

@media (max-width: 400px) {
  main > div {
    margin-inline: 0.25rem;
  }
}


body {
  background-color: rgb(50, 38, 37);
  color: rgb(216, 191, 191);
}

header {
  
  nav {
    padding: 0;
  }

  #banner-container {
    padding: 1rem;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;

    a {
      text-decoration: none;
      color: rgb(216, 191, 191);
    }
  }

  #navbar-container {
    background-color: rgb(216, 191, 191);
    color: rgb(50, 38, 37);

    padding: 0.5rem;
    ul {
      margin: 0;
      padding: 0;
      list-style-type: none;
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: center;
      gap: 1rem;
    }

  }
}


main .about-container {
  /* background-color: #9e8080; */
  background-color: var(--secondary-color);
  color: var(--primary-color);
  margin: 1rem;
  padding: 1rem;
  border-radius: 0.5rem;
  text-align: center;
  font-size: 1.1rem;

  h2 {
    font-family: "Macondo", cursive;
  }
}

#navbar-container {
  li {
    a {
      font-family: "Macondo", cursive;
      display: block;
      text-decoration: none;
      padding: 0.5rem;
      color:var(--primary-color);
    }
  }
  
  li:hover {
    background-color: var(--accent-color);
    border-radius: 0.5rem;

  }
}

#banner-container a {
  font-size: 2rem;
  font-family: "Macondo", cursive;
  width: 100%;
  text-align: center;

  &:hover {
    color: var(--accent-color);
  }
}


/* FONTS */
.macondo-regular {
  font-family: "Macondo", cursive;
  font-weight: 400;
  font-style: normal;
}
.emblema-one-regular {
  font-family: "Emblema One", system-ui;
  font-weight: 400;
  font-style: normal;
}
